fr::crypto::DSA_dup_DH(3SSL)

NOM
DSA_dup_DH - Créer une structure DH à l'aide d'une structure DSA

SYNOPSIS
#include ltopenssl/dsa.h>

DH * DSA_dup_DH(const DSA *r);

DESCRIPTION
DSA_dup_DH() duplique les paramètres ou clefs DSA en paramètres ou clefs DH. q est perdu lors de cette conversion, mais les paramètres DH résultants contiennent sa taille.

VALEUR DE RETOUR
DSA_dup_DH() renvoie la nouvelle structure DH ou NULL en cas d'erreur. Les codes d'erreur peuvent être obtenus à l'aide de ERR_get_error(3).

NOTE
Faites attention d'éviter les attaques par petits sous-groupes (« small subgroup ») en utilisant cette fonction.

VOIR AUSSI
dh(3), dsa(3), ERR_get_error(3)

HISTORIQUE
DSA_dup_DH() a été ajoutée dans OpenSSL 0.9.4.

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.